## gate.jape.parser
Class ParseCpslTokenManager

    java.lang.Object
      |
      +--gate.jape.parser.ParseCpslTokenManager

All Implemented Interfaces:
  ParseCpslConstants

public class ParseCpslTokenManager
extends Object
implements ParseCpslConstants

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`(package private) int` `defaultLexState`
`(package private) StringBuffer` `image`
`private ASCII_CharStream` `input_stream`
`(package private) static long[]` `jjbitVec0`
`(package private) int` `jjimageLen`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`static int[]` `jjnewLexState`
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`private int[]` `jjrounds`
`private int[]` `jjstateSet`
`static String[]` `jjstrLiteralImages`
`(package private) static long[]` `jjtoMore`
`(package private) static long[]` `jjtoSkip`
`(package private) static long[]` `jjtoSpecial`
`(package private) static long[]` `jjtoToken`
`(package private) int` `lengthOfMatch`
`static String[]` `lexStateNames`

Fields inherited from interface gate.jape.parser.ParseCpslConstants

`assign, bar, bool, colon, colonplus, comma, commentChars, commentEnd, commentStart, DEFAULT, digits, EOF, equals, exponent, floatingPoint, ident, IN_PHASES, IN_STRING, input, integer, kleeneOp, leftBrace, leftBracket, letter, letterOrDigitOrDash, letters, lettersAndDigits, lettersAndDigitsAndDashes, macro, multiphase, newline, option, other, path, period, phase, phases, PHASES_WITHIN_COMMENT, phasesCommentChars, phasesCommentEnd, phasesCommentStart, phasesSingleLineCpslStyleComment, phasesSingleLineCStyleComment, phasesWhiteSpace, pling, priority, rightBrace, rightBracket, rule, semicolon, singleLineCpslStyleComment, singleLineCStyleComment, space, spaces, string, tokenImage, whiteSpace, WITHIN_COMMENT`

Constructor Summary
`ParseCpslTokenManager(ASCII_CharStream stream)`
`ParseCpslTokenManager(ASCII_CharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`private void` `jjAddStates(int start, int end)`
`private void` `jjCheckNAdd(int state)`
`private void` `jjCheckNAddStates(int start)`
`private void` `jjCheckNAddStates(int start, int end)`
`private void` `jjCheckNAddTwoStates(int state1, int state2)`
`private Token` `jjFillToken()`
`private int` `jjMoveNfa_0(int startState, int curPos)`
`private int` `jjMoveNfa_1(int startState, int curPos)`
`private int` `jjMoveNfa_2(int startState, int curPos)`
`private int` `jjMoveNfa_3(int startState, int curPos)`
`private int` `jjMoveNfa_4(int startState, int curPos)`
`private int` `jjMoveStringLiteralDfa0_0()`
`private int` `jjMoveStringLiteralDfa0_1()`
`private int` `jjMoveStringLiteralDfa0_2()`
`private int` `jjMoveStringLiteralDfa0_3()`
`private int` `jjMoveStringLiteralDfa0_4()`
`private int` `jjMoveStringLiteralDfa1_0(long active0)`
`private int` `jjMoveStringLiteralDfa1_3(long active0)`
`private int` `jjMoveStringLiteralDfa10_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa2_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa3_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa4_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa5_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa6_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa7_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa8_0(long old0, long active0)`
`private int` `jjMoveStringLiteralDfa9_0(long old0, long active0)`
`private int` `jjStartNfa_3(int pos, long active0)`
`private int` `jjStartNfaWithStates_3(int pos, int kind, int state)`
`private int` `jjStopAtPos(int pos, int kind)`
`private int` `jjStopStringLiteralDfa_3(int pos, long active0)`
`(package private) void` `MoreLexicalActions()`
`void` `ReInit(ASCII_CharStream stream)`
`void` `ReInit(ASCII_CharStream stream, int lexState)`
`private void` `ReInitRounds()`
`(package private) void` `SkipLexicalActions(Token matchedToken)`
`void` `SwitchTo(int lexState)`
`(package private) void` `TokenLexicalActions(Token matchedToken)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### jjbitVec0

    static final long[] jjbitVec0

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoSpecial

    static final long[] jjtoSpecial

### jjtoMore

    static final long[] jjtoMore

### input_stream

    private ASCII_CharStream input_stream

### jjrounds

    private final int[] jjrounds

### jjstateSet

    private final int[] jjstateSet

### image

    StringBuffer image

### jjimageLen

    int jjimageLen

### lengthOfMatch

    int lengthOfMatch

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### ParseCpslTokenManager

    public ParseCpslTokenManager(ASCII_CharStream stream)

### ParseCpslTokenManager

    public ParseCpslTokenManager(ASCII_CharStream stream,
                                 int lexState)

Method Detail

### jjStopAtPos

    private final int jjStopAtPos(int pos,
                                  int kind)

### jjMoveStringLiteralDfa0_0

    private final int jjMoveStringLiteralDfa0_0()

### jjMoveStringLiteralDfa1_0

    private final int jjMoveStringLiteralDfa1_0(long active0)

### jjMoveStringLiteralDfa2_0

    private final int jjMoveStringLiteralDfa2_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa3_0

    private final int jjMoveStringLiteralDfa3_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa4_0

    private final int jjMoveStringLiteralDfa4_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa5_0

    private final int jjMoveStringLiteralDfa5_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa6_0

    private final int jjMoveStringLiteralDfa6_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa7_0

    private final int jjMoveStringLiteralDfa7_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa8_0

    private final int jjMoveStringLiteralDfa8_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa9_0

    private final int jjMoveStringLiteralDfa9_0(long old0,
                                                long active0)

### jjMoveStringLiteralDfa10_0

    private final int jjMoveStringLiteralDfa10_0(long old0,
                                                 long active0)

### jjCheckNAdd

    private final void jjCheckNAdd(int state)

### jjAddStates

    private final void jjAddStates(int start,
                                   int end)

### jjCheckNAddTwoStates

    private final void jjCheckNAddTwoStates(int state1,
                                            int state2)

### jjCheckNAddStates

    private final void jjCheckNAddStates(int start,
                                         int end)

### jjCheckNAddStates

    private final void jjCheckNAddStates(int start)

### jjMoveNfa_0

    private final int jjMoveNfa_0(int startState,
                                  int curPos)

### jjStopStringLiteralDfa_3

    private final int jjStopStringLiteralDfa_3(int pos,
                                               long active0)

### jjStartNfa_3

    private final int jjStartNfa_3(int pos,
                                   long active0)

### jjStartNfaWithStates_3

    private final int jjStartNfaWithStates_3(int pos,
                                             int kind,
                                             int state)

### jjMoveStringLiteralDfa0_3

    private final int jjMoveStringLiteralDfa0_3()

### jjMoveStringLiteralDfa1_3

    private final int jjMoveStringLiteralDfa1_3(long active0)

### jjMoveNfa_3

    private final int jjMoveNfa_3(int startState,
                                  int curPos)

### jjMoveStringLiteralDfa0_1

    private final int jjMoveStringLiteralDfa0_1()

### jjMoveNfa_1

    private final int jjMoveNfa_1(int startState,
                                  int curPos)

### jjMoveStringLiteralDfa0_4

    private final int jjMoveStringLiteralDfa0_4()

### jjMoveNfa_4

    private final int jjMoveNfa_4(int startState,
                                  int curPos)

### jjMoveStringLiteralDfa0_2

    private final int jjMoveStringLiteralDfa0_2()

### jjMoveNfa_2

    private final int jjMoveNfa_2(int startState,
                                  int curPos)

### ReInit

    public void ReInit(ASCII_CharStream stream)

### ReInitRounds

    private final void ReInitRounds()

### ReInit

    public void ReInit(ASCII_CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    private final Token jjFillToken()

### getNextToken

    public final Token getNextToken()

### SkipLexicalActions

    final void SkipLexicalActions(Token matchedToken)

### MoreLexicalActions

    final void MoreLexicalActions()

### TokenLexicalActions

    final void TokenLexicalActions(Token matchedToken)